gnutls_pkcs11_copy_x509_privkey(3)

NAME
gnutls_pkcs11_copy_x509_privkey - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_copy_x509_privkey(const char * token_url, gnutls_x509_privkey_t key, const char * label, unsigned int key_usage, unsigned int flags);

ARGUMENTS

const char * token_url
    A PKCS 11 URL specifying a token

gnutls_x509_privkey_t key
    A private key

const char * label
    A name to be used for the stored data

unsigned int key_usage
    One of GNUTLS_KEY_*

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_* flags

DESCRIPTION
This function will copy a private key into a PKCS 11 token specified by a URL. Since 3.6.3 the objects are marked as sensitive by default unless GNUTLS_PKCS11_OBJ_FLAG_MARK_NOT_SENSITIVE is specified.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/